//
// PlateCreate.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct PlateCreate: Codable {

    public var number: String
    public var ownerFullName: String?
    public var ownerDocumentNumber: String?
    public var ownerBirthDate: Date?
    public var carManufacturer: String?
    public var carModel: String?
    public var carType: String?
    public var carManufactureDate: Date?
    public var carColor: String?
    public var carImageId: UUID?

    public init(number: String, ownerFullName: String? = nil, ownerDocumentNumber: String? = nil, ownerBirthDate: Date? = nil, carManufacturer: String? = nil, carModel: String? = nil, carType: String? = nil, carManufactureDate: Date? = nil, carColor: String? = nil, carImageId: UUID? = nil) {
        self.number = number
        self.ownerFullName = ownerFullName
        self.ownerDocumentNumber = ownerDocumentNumber
        self.ownerBirthDate = ownerBirthDate
        self.carManufacturer = carManufacturer
        self.carModel = carModel
        self.carType = carType
        self.carManufactureDate = carManufactureDate
        self.carColor = carColor
        self.carImageId = carImageId
    }

    public enum CodingKeys: String, CodingKey { 
        case number
        case ownerFullName = "owner_full_name"
        case ownerDocumentNumber = "owner_document_number"
        case ownerBirthDate = "owner_birth_date"
        case carManufacturer = "car_manufacturer"
        case carModel = "car_model"
        case carType = "car_type"
        case carManufactureDate = "car_manufacture_date"
        case carColor = "car_color"
        case carImageId = "car_image_id"
    }

}
